﻿@charset "utf-8";
/* --------------------------------------------------
   common
-------------------------------------------------- */
.menu-container >* {
	margin-bottom: 1rem;
}
.menu-container li {
	position: relative;
}
.menu-container li a {
	display: block;
}
.menu-container li a::after {
	content: ' ';
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
.scroll-btn {
	display: none;
	position: relative;
	color: var(--sw-text-color-2);
	background-color: var(--sw-background-color-3);
	cursor: pointer;
	padding: 0 8px;
}
.scroll-btn::after {
	position: absolute;
	content: ' ';
	vertical-align: middle;
	top: 35%;
	width: 8px;
	height: 8px;
	border-top: 2px solid var(--sw-border-color-0);
	border-right: 2px solid var(--sw-border-color-0);
}
.scroll-btn.left::after {
	right: 0;
	transform: rotate(-135deg);
}
.scroll-btn.right::after {
	left: 0;
	transform: rotate(45deg);
}
.scroll-btn.disabled {
  color: #ccc;
  background-color: var(--sw-background-color-1);
  cursor: unset;
}
@media (max-width: 1200px) {
	.scroll-btn {
	  display: block;
	}
}

/* --------------------------------------------------
   default
-------------------------------------------------- */
[data-menu-type='default'] ul > li:hover {
	opacity: .8;
}
/* main */
[data-menu-type='default'] nav > ul {
	display: flex;
	gap: 5px;
	flex-wrap: wrap;
}
[data-menu-type='default'] nav > ul > li {
	flex: 1 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: var(--sw-background-color-1);
	padding: 10px 15px;
}
[data-menu-type='default'] nav > ul > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-m);
	font-weight: bold;
}
[data-menu-type='default'] nav > ul > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color);
}
[data-menu-type='default'] nav > ul > li:has(a.naviCur) a {
	color: var(--sw-text-color-0);
}
@media (max-width:767px) {
	[data-menu-type='default'] nav > ul > li {
		flex: 0 0 calc((99% / 3) - 2px);
	}
}
@media (max-width:430px) {
	[data-menu-type='default'] nav > ul > li {
		flex: 0 0 calc((99% / 2) - 2px);
	}
}

/* sub */
[data-menu-type='default'] .tab-switch {
	display: flex;
	gap: 5px;
	flex-wrap: wrap;
}
[data-menu-type='default'] .tab-switch li {
	padding: 0.75rem 2rem;
	background-color: var(--sw-background-color-1);
}
[data-menu-type='default'] .tab-switch > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-m);
}
[data-menu-type='default'] .tab-switch > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color);
}
[data-menu-type='default'] .tab-switch > li:has(a.naviCur) a {
	color: var(--sw-text-color-0);
}
@media (max-width:767px) {
	[data-menu-type='default'] .tab-switch.sub-menu li {
		padding: 0.5rem 1rem;
	}
}

/* 通期/四半期 */
[data-menu-type='default'] .tab-switch.term-menu li {
	flex: 1 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: var(--sw-background-color-0);
	border: 1px solid var(--sw-border-color-2);
}

/* --------------------------------------------------
   manuA A-01
-------------------------------------------------- */
/* main */
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav {
	display: flex;
	gap: 5px;
	align-items: stretch;
	overflow: hidden;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul {
	flex-grow: 1;
	display: flex;
	gap: 5px;
	flex-wrap: nowrap;
	padding-bottom: 1px;
	overflow-x: auto;
	scroll-snap-type: x mandatory;
	scroll-behavior: smooth;
	scrollbar-width: none; /* Firefox */
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul::-webkit-scrollbar {
	display: none; /* Chrome, Safari */
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul > li {
	scroll-snap-align: start;
	flex: 1 0 auto;
	min-width: 150px;
	display: flex;
	justify-content: center;
	align-items: center;
	border: 1px solid var(--sw-border-color-1);
	background-color: var(--sw-background-color-0);
	box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.3);
	padding: 10px 15px;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-m);
	font-weight: bold;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul > li:has(a.naviCur) {
	border-bottom: 3px solid var(--sw-corporate-color);
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul > li:has(a.naviCur) a {
	color: var(--sw-text-color-2);
}
@media (max-width:430px) {
	[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav > ul > li {
		flex-basis: 100%;
	}
}

/* sub */
[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav + div {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-end;
	align-items: baseline;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch {
	flex: 2 0 auto;
	display: flex;
	justify-content: center;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch.sub-menu {
	margin-bottom: 0.5rem;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch li {
	padding: 0.5rem 2rem;
	background-color: var(--sw-background-color-0);
	border: 1px solid var(--sw-border-color-1);
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch li:not(:first-child) {
	border-left: none;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch li:first-child {
	border-radius: 2rem 0 0 2rem;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch li:last-child {
	border-radius: 0 2rem 2rem 0;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-s);
	font-weight: bold;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color);
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch > li:has(a.naviCur) a {
	color: var(--sw-text-color-0);
}
@media (max-width:430px) {
	[data-menu-type='menuA'][data-menu-layout-type='A-01'] nav + div {
		flex-direction: column;
		align-items: center;
	}
}

/* 通期/四半期 */
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch.term-menu {
	flex: 0 0 auto;
}
[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch.term-menu > li {
	padding: 0.5rem 1rem;
}
@media (max-width:430px) {
	[data-menu-type='menuA'][data-menu-layout-type='A-01'] .tab-switch.term-menu {
		margin-left: auto;
	}
}

/* --------------------------------------------------
   manuA A-02
-------------------------------------------------- */
/* main */
[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul > li {
	flex: 1 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	border-bottom: 1px solid var(--sw-border-color-2);
	padding: 20px 10px;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul > li > a {
	line-height: 1.2;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul > li:has(a.naviCur),
[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul > li:hover {
	border-bottom: 3px solid var(--sw-corporate-color);
}
@media (max-width:767px) {
	[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul > li {
		flex: 0 0 calc(100% / 3);
	}
}
@media (max-width:430px) {
	[data-menu-type='menuA'][data-menu-layout-type='A-02'] nav > ul > li > a {
		font-size: var(--sw-text-size-m);
	}
}

/* sub */
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .sub-menu {
	margin-bottom: 10px;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch {
	display: flex;
	justify-content: center;
	gap: 5px;
	flex-wrap: wrap;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch li {
	padding: 0.75rem 2rem;
	background-color: var(--sw-background-color-1);
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-m);
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color);
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch > li:has(a.naviCur) a {
	color: var(--sw-text-color-0);
}
@media (max-width:767px) {
	[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch li {
		padding: 0.5rem 1rem;
	}
	[data-menu-type='menuA'][data-menu-layout-type='A-02'] .tab-switch > li > a {
		font-size: var(--sw-text-size-s);
	}
}

/* 通期/四半期 */
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .term-menu {
	justify-content: flex-end;
	gap: 0;
	flex-wrap: nowrap;
	margin-bottom: -20px;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .term-menu li {
	padding: 0.5rem 1rem;
}
[data-menu-type='menuA'][data-menu-layout-type='A-02'] .term-menu > li > a {
	font-size: var(--sw-text-size-s);
}

/* --------------------------------------------------
   manuB B-01
-------------------------------------------------- */
/* 通期/四半期 */
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .term-menu {
	display: flex;
	gap: 5px;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	margin-bottom: 10px;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .term-menu > li {
	flex: 1 0 auto;
	text-align: center;
	background-color: var(--sw-background-color-1);
	padding: 12px 0;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .term-menu > li > a {
	color: var(--sw-text-color-4);
	font-size: var(--sw-text-size-m);
	font-weight: bold;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .term-menu > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color-alpha40);
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .term-menu > li:has(a.naviCur)::before {
	position: absolute;
	content: ' ';
	top: 100%;
	left: 50%;
	margin-left: -10px;
	border: 10px solid transparent;
	border-top: 10px solid var(--sw-corporate-color-alpha40);
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .term-menu > li > a.naviCur {
	color: var(--sw-corporate-color);
}

/* main */
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav {
	display: flex;
	gap: 5px;
	align-items: stretch;
	overflow: hidden;
	margin-bottom: 1rem;
	padding-top: 5px;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul {
	flex-grow: 1;
	display: flex;
	gap: 5px;
	flex-wrap: nowrap;
	padding-bottom: 1px;
	overflow-x: auto;
	scroll-behavior: smooth;
	scrollbar-width: none; 
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul::-webkit-scrollbar {
	display: none; 
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul > li {
	flex: 1 0 auto;
	min-width: 150px;
	display: flex;
	justify-content: center;
	align-items: center;
	border: 1px solid var(--sw-border-color-1);
	background-color: var(--sw-background-color-0);
	box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.3);
	padding: 10px 15px;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-s);
	font-weight: bold;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul > li:has(a.naviCur) {
	border-bottom: 3px solid var(--sw-corporate-color);
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul > li:has(a.naviCur) a {
	color: var(--sw-text-color-2);
}
@media (max-width:430px) {
	[data-menu-type='menuB'][data-menu-layout-type='B-01'] nav > ul > li {
		flex-basis: 100%;
	}
}

/* sub */
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .sub-menu {
	display: flex;
	gap: 5px;
	flex-wrap: wrap;
	min-height: 1rem;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .sub-menu li {
	padding: 0.5rem 2rem;
	background-color: var(--sw-background-color-0);
	border: 1px solid var(--sw-border-color-1);
}
@media (max-width:767px) {
	[data-menu-type='menuB'][data-menu-layout-type='B-01'] .sub-menu {
		justify-content: center;
	}
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .sub-menu > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-s);
	font-weight: bold;
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .sub-menu > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color);
}
[data-menu-type='menuB'][data-menu-layout-type='B-01'] .sub-menu > li:has(a.naviCur) a {
	color: var(--sw-text-color-0);
}

/* --------------------------------------------------
   manuB B-02
-------------------------------------------------- */
/* 通期/四半期 */
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .term-menu {
	display: flex;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .term-menu > li {
	flex: 1 0 auto;
	text-align: center;
	border-bottom: 3px solid var(--sw-corporate-color-alpha40);
	padding: 12px 0;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .term-menu > li > a {
	color: var(--sw-corporate-color-alpha60);
	font-size: var(--sw-text-size-m);
	font-weight: bold;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .term-menu > li:has(a.naviCur) {
	border-bottom-color: var(--sw-corporate-color);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .term-menu > li > a.naviCur {
	color: var(--sw-corporate-color);
}

/* main */
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul {
	display: flex;
	gap: 5px;
	flex-wrap: nowrap;
	margin:15px auto 20px;
	border-bottom: 1px solid var(--sw-border-color-2);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li {
	display: flex;
	align-items: center;
	border-bottom: 0 !important;
	border-radius: 4px 4px 0 0;
	background-color: var(--sw-background-color-1);
	padding: 10px 15px;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:first-child {
	margin-left: 5px;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-s);
	font-weight: bold;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:has(a.naviCur) {
	border: 1px solid var(--sw-border-color-2);
	background-color: var(--sw-background-color-0);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:has(a.naviCur) a {
	color: var(--sw-text-color-2);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:has(a.naviCur) a::after {
	border-bottom: 1px solid var(--sw-border-color-0);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sp-naviCur {
	display: none;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .scroll-btn {
	display: none;
}

@media (max-width:430px) {
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul {
		flex-direction: column;
		gap: 1px;
		border: none;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:first-child {
		margin-left: 0;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:has(a.naviCur) {
		border: none;
		background-color: var(--sw-background-color-1);
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:has(a.naviCur) a {
		color: var(--sw-text-color-3);
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li:has(a.naviCur) a::after {
		border-bottom: none;
	}

	[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sp-naviCur {
		display: inline-block;
		position: relative;
		cursor: pointer;
		margin: 15px 5px;
		padding-right: 20px;
		font-size: var(--sw-text-size-m);
		font-weight: bold;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sp-naviCur::after {
		position: absolute;
		content: ' ';
		vertical-align: middle;
		top: 10%;
		right: 0;
		width: 8px;
		height: 8px;
		border-top: 2px solid var(--sw-border-color-2);
		border-right: 2px solid var(--sw-border-color-2);
		transform: rotate(135deg);
		transition: transform 0.3s ease;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sp-naviCur.is-open::after {
		transform: translateY(30%) rotate(315deg);
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul {
		margin: 0;
		height: 0;
		opacity: 0;
		visibility: hidden;
		transition: 0.6s;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul > li {
		opacity: 0;
		visibility: hidden;
		padding-top: 0;
		padding-bottom: 0;
		transition:
			opacity     .1s linear,
			visibility  .1s linear,
			padding-top    .3s ease-out,
			padding-bottom .3s ease-out;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul.is-open {
		margin-bottom: 20px;
		height: auto;
		opacity: 1;
		visibility: visible;
		transition: 0.6s;
	}
	[data-menu-type='menuB'][data-menu-layout-type='B-02'] nav > ul.is-open > li {
		opacity: 1;
		visibility: visible;
		padding-top: 15px;
		padding-bottom: 15px;
		transition:
			opacity     .1s linear .1s,
			visibility  .1s linear .1s,
			padding-top    .3s ease-out,
			padding-bottom .3s ease-out;
	}
}

/* sub */
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sub-menu {
	display: flex;
	gap: 5px;
	justify-content: center;
	flex-wrap: wrap;
	min-height: 1rem;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sub-menu li {
	padding: 0.5rem 2rem;
	background-color: var(--sw-background-color-0);
	border: 1px solid var(--sw-border-color-1);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sub-menu > li > a {
	line-height: 1.2;
	color: var(--sw-text-color-3);
	font-size: var(--sw-text-size-s);
	font-weight: bold;
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sub-menu > li:has(a.naviCur) {
	background-color: var(--sw-corporate-color);
}
[data-menu-type='menuB'][data-menu-layout-type='B-02'] .sub-menu > li:has(a.naviCur) a {
	color: var(--sw-text-color-0);
}
